Page MenuHomePhabricator

[analyzer] PthreadLock: Don't track dead regions.
ClosedPublic

Authored by NoQ on Sep 17 2017, 1:39 PM.

Details

Summary

Standard boilerplate: stop tracking mutex state when the mutex dies as a region.

Clean up the destroyed symbol cleanup code a tiny bit. Note that this code is unaffected by the zombie symbol bug because whenever we need to take action, constraint manager is bound to mark the symbol as maybe-dead for us.

No tests because this is merely an optimization.

Diff Detail

Event Timeline

NoQ created this revision.Sep 17 2017, 1:39 PM
xazax.hun accepted this revision.Sep 21 2017, 1:37 AM

Maybe it worth a comment why we do not want to clean up LockSet? Otherwise LGTM!

This revision is now accepted and ready to land.Sep 21 2017, 1:37 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJan 24 2020, 7:46 AM